Bug 843844 - [abrt] tangogps-0.99.4-3.fc15: ____strtol_l_internal: Process /usr/bin/tangogps was killed by signal 11 (SIGSEGV)
[abrt] tangogps-0.99.4-3.fc15: ____strtol_l_internal: Process /usr/bin/tangog...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tangogps (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
abrt_hash:2a672afa15f8c1b5e6f5c1bd991...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 10:35 EDT by Sergei LITVINENKO
Modified: 2013-02-13 16:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:01:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (4.71 KB, text/plain)
2012-07-27 10:35 EDT, Sergei LITVINENKO
no flags Details
File: dso_list (7.72 KB, text/plain)
2012-07-27 10:35 EDT, Sergei LITVINENKO
no flags Details
File: smolt_data (3.51 KB, text/plain)
2012-07-27 10:35 EDT, Sergei LITVINENKO
no flags Details
File: xsession_errors (603 bytes, text/plain)
2012-07-27 10:35 EDT, Sergei LITVINENKO
no flags Details
File: maps (26.17 KB, text/plain)
2012-07-27 10:35 EDT, Sergei LITVINENKO
no flags Details
File: backtrace (27.01 KB, text/plain)
2012-07-27 10:35 EDT, Sergei LITVINENKO
no flags Details
fix build and crash issue (1.62 KB, patch)
2012-08-04 15:50 EDT, Sergei LITVINENKO
no flags Details | Diff

  None (edit)
Description Sergei LITVINENKO 2012-07-27 10:35:09 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        tangogps
crash_function: ____strtol_l_internal
executable:     /usr/bin/tangogps
kernel:         3.4.4-4.fc16.i686.PAE
pid:            12470
pwd:            /home/sergeil
time:           Пт. 27 июля 2012 17:26:50
uid:            1000
username:       sergeil

backtrace:      Text file, 27655 bytes
dso_list:       Text file, 7909 bytes
environ:        Text file, 4827 bytes
maps:           Text file, 26801 bytes
smolt_data:     Binary file, 3599 bytes
xsession_errors: Binary file, 603 bytes

comment:
:[sergeil@ua-dudn00000 ~]$ tangogps 
:REPOLIST == NULL
:*** on_drawingarea1_configure_event(): 
:pixmap created
:*** track_log_open(): /home/sergeil/Maps/20120727_172144.log
:*** do_paint_myposition(): 
:18300 9199 0.879718 0.535599
:MYPOSITION: lat 0.879718 - lon 0.535599
:connection to gpsd SUCCEEDED 
:*** on_drawingarea1_configure_event(): 
:pixmap created
:*** do_paint_myposition(): 
:18300 9199 0.879718 0.535599
:MYPOSITION: lat 0.879718 - lon 0.535599
:
:(tangogps:12470): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Ошибка в строке 17 на символе 92: Документ неожиданно окончился внутри комментария или инструкции обработки
:
:(tangogps:12470): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Ошибка в строке 1 на символе 11: Недопустимый UTF-8 текст в имени — неправильная последовательность «\u0008\xb1»
:*** do_paint_myposition(): 
:9451 4783 0.879718 0.535599
:MYPOSITION: lat 0.879718 - lon 0.535599
:*** do_paint_myposition(): 
:5026 2575 0.879718 0.535599
:MYPOSITION: lat 0.879718 - lon 0.535599
:*** do_paint_myposition(): 
:2814 1471 0.879718 0.535599
:MYPOSITION: lat 0.879718 - lon 0.535599
:*** do_paint_myposition(): 
:1708 919 0.879718 0.535599
:MYPOSITION: lat 0.879718 - lon 0.535599
:*** do_paint_myposition(): 
:1155 643 0.879718 0.535599
:MYPOSITION: lat 0.879718 - lon 0.535599
:*** do_paint_myposition(): 
:878 505 0.879718 0.535599
:MYPOSITION: lat 0.879718 - lon 0.535599
:*** do_paint_myposition(): 
:739 436 0.879718 0.535599
:MYPOSITION: lat 0.879718 - lon 0.535599
:*** on_drawingarea1_configure_event(): 
:pixmap created
:*** do_paint_myposition(): 
:739 436 0.879718 0.535599
:MYPOSITION: lat 0.879718 - lon 0.535599
:*** do_paint_myposition(): 
:739 436 0.879718 0.535599
:MYPOSITION: lat 0.879718 - lon 0.535599
:*** do_paint_myposition(): 
:1059 506 0.879718 0.535599
:MYPOSITION: lat 0.879718 - lon 0.535599
:*** do_paint_myposition(): 
:1697 645 0.879718 0.535599
:MYPOSITION: lat 0.879718 - lon 0.535599
:*** do_paint_myposition(): 
:2973 924 0.879718 0.535599
:MYPOSITION: lat 0.879718 - lon 0.535599
:*** do_paint_myposition(): 
:5526 1483 0.879718 0.535599
:MYPOSITION: lat 0.879718 - lon 0.535599
:*** do_paint_myposition(): 
:10632 2601 0.879718 0.535599
:MYPOSITION: lat 0.879718 - lon 0.535599
:*** do_paint_myposition(): 
:5527 1484 0.879718 0.535599
:MYPOSITION: lat 0.879718 - lon 0.535599
:*** do_paint_myposition(): 
:2974 925 0.879718 0.535599
:MYPOSITION: lat 0.879718 - lon 0.535599
:*** do_paint_myposition(): 
:1698 646 0.879718 0.535599
:MYPOSITION: lat 0.879718 - lon 0.535599
:*** do_paint_myposition(): 
:1060 507 0.879718 0.535599
:MYPOSITION: lat 0.879718 - lon 0.535599
:*** do_paint_myposition(): 
:1060 507 0.879718 0.535599
:MYPOSITION: lat 0.879718 - lon 0.535599
:
:(tangogps:12470): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Ошибка в строке 17 на символе 92: Документ неожиданно окончился внутри комментария или инструкции обработки
:
:(tangogps:12470): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Ошибка в строке 1 на символе 13: Недопустимый UTF-8 текст в имени — неправильная последовательность « \x8cDZ»
:Ошибка сегментирования (core dumped)
:[sergeil@ua-dudn00000 ~]$ 

gconf_subtree:
: myposition_lat = 50.4041
: tracklog_on = true
: global_x = 75649
: global_y = 43715
: auto_download = true
: global_zoom = 9
: repo_name = OSM
: track_dir = /home/sergeil/Maps/
: hrm_on = true
: pass = 5du2PRwr=
: started_before = true
: myposition_lon = 30.6876
: fftimer_running = true
: nick = sergeil

var_log_messages:
:Jul 24 16:45:06 ua-dudn00000 kernel: [12066.419624] tangogps[6356]: segfault at 50000002 ip b67e9916 sp b40ff0c4 error 4 in libc-2.14.90.so[b6763000+1a7000]
:Jul 24 16:45:06 ua-dudn00000 abrt[6416]: Saved core dump of pid 5951 (/usr/bin/tangogps) to /var/spool/abrt/ccpp-2012-07-24-16:45:06-5951 (166088704 bytes)
:Jul 24 16:50:17 ua-dudn00000 kernel: [12377.524155] tangogps[7224]: segfault at 70747468 ip b67bb916 sp 923090c4 error 4 in libc-2.14.90.so[b6735000+1a7000]
:Jul 24 16:50:17 ua-dudn00000 abrt[7231]: Saved core dump of pid 6447 (/usr/bin/tangogps) to /var/spool/abrt/ccpp-2012-07-24-16:50:17-6447 (46395392 bytes)
:Jul 24 16:55:27 ua-dudn00000 kernel: [12686.809954] tangogps[7730]: segfault at 6d6f682f ip b67cc916 sp ac8f60c4 error 4 in libc-2.14.90.so[b6746000+1a7000]
:Jul 24 16:55:27 ua-dudn00000 abrt[7736]: Saved core dump of pid 7255 (/usr/bin/tangogps) to /var/spool/abrt/ccpp-2012-07-24-16:55:27-7255 (47542272 bytes)
:Jul 26 18:59:57 ua-dudn00000 kernel: [ 1823.547762] tangogps[2854]: segfault at 0 ip b67dba00 sp b4c9e070 error 4 in libc-2.14.90.so[b67a7000+1a7000]
:Jul 26 18:59:57 ua-dudn00000 abrt[2861]: Saved core dump of pid 2850 (/usr/bin/tangogps) to /var/spool/abrt/ccpp-2012-07-26-18:59:57-2850 (40058880 bytes)
:Jul 26 19:00:12 ua-dudn00000 kernel: [ 1838.944282] tangogps[2894]: segfault at 0 ip b67daa00 sp b4c9d070 error 4 in libc-2.14.90.so[b67a6000+1a7000]
:Jul 26 19:00:12 ua-dudn00000 abrt[2903]: Not dumping repeating crash in '/usr/bin/tangogps'
:Jul 26 19:00:49 ua-dudn00000 kernel: [ 1875.606119] tangogps[2917]: segfault at 0 ip b6807a00 sp b4cca070 error 4 in libc-2.14.90.so[b67d3000+1a7000]
:Jul 26 19:00:49 ua-dudn00000 abrt[2924]: Saved core dump of pid 2913 (/usr/bin/tangogps) to /var/spool/abrt/ccpp-2012-07-26-19:00:49-2913 (40189952 bytes)
:Jul 26 19:01:03 ua-dudn00000 kernel: [ 1889.497200] tangogps[2952]: segfault at 0 ip b67c0a00 sp b4c83070 error 4 in libc-2.14.90.so[b678c000+1a7000]
:Jul 26 19:01:03 ua-dudn00000 abrt[2981]: Not dumping repeating crash in '/usr/bin/tangogps'
:Jul 26 19:02:32 ua-dudn00000 kernel: [ 1979.060094] tangogps[2993]: segfault at 0 ip b671ea00 sp b4be1070 error 4 in libc-2.14.90.so[b66ea000+1a7000]
:Jul 26 19:02:32 ua-dudn00000 abrt[3001]: Saved core dump of pid 2989 (/usr/bin/tangogps) to /var/spool/abrt/ccpp-2012-07-26-19:02:32-2989 (40198144 bytes)
:Jul 26 19:03:15 ua-dudn00000 kernel: [ 2022.060185] tangogps[3036]: segfault at 0 ip b676ea00 sp b4c31070 error 4 in libc-2.14.90.so[b673a000+1a7000]
:Jul 26 19:03:15 ua-dudn00000 abrt[3044]: Saved core dump of pid 3032 (/usr/bin/tangogps) to /var/spool/abrt/ccpp-2012-07-26-19:03:15-3032 (40062976 bytes)
:Jul 26 19:04:01 ua-dudn00000 kernel: [ 2067.801627] tangogps[3078]: segfault at 0 ip b67d3a00 sp b4f32070 error 4 in libc-2.14.90.so[b679f000+1a7000]
:Jul 26 19:04:01 ua-dudn00000 abrt[3086]: Saved core dump of pid 3074 (/usr/bin/tangogps) to /var/spool/abrt/ccpp-2012-07-26-19:04:01-3074 (39899136 bytes)
:Jul 26 19:31:37 ua-dudn00000 kernel: [ 3723.164944] tangogps[5436]: segfault at 18 ip b6825916 sp b54f90c4 error 4 in libc-2.14.90.so[b679f000+1a7000]
:Jul 26 19:31:37 ua-dudn00000 abrt[5443]: Saved core dump of pid 4402 (/usr/bin/tangogps) to /var/spool/abrt/ccpp-2012-07-26-19:31:37-4402 (48316416 bytes)
:Jul 26 19:41:47 ua-dudn00000 kernel: [ 4332.854574] tangogps[6790]: segfault at 0 ip b67a0a00 sp abef5070 error 4 in libc-2.14.90.so[b676c000+1a7000]
:Jul 26 19:41:47 ua-dudn00000 abrt[6796]: Saved core dump of pid 5473 (/usr/bin/tangogps) to /var/spool/abrt/ccpp-2012-07-26-19:41:47-5473 (44089344 bytes)
:Jul 27 17:26:50 ua-dudn00000 kernel: [ 1468.665128] tangogps[13264]: segfault at 2f30312f ip b6764a00 sp 78f8f070 error 4 in libc-2.14.90.so[b6730000+1a7000]
:Jul 27 17:26:50 ua-dudn00000 abrt[13272]: Saved core dump of pid 12470 (/usr/bin/tangogps) to /var/spool/abrt/ccpp-2012-07-27-17:26:50-12470 (57081856 bytes)
Comment 1 Sergei LITVINENKO 2012-07-27 10:35:15 EDT
Created attachment 600789 [details]
File: environ
Comment 2 Sergei LITVINENKO 2012-07-27 10:35:17 EDT
Created attachment 600790 [details]
File: dso_list
Comment 3 Sergei LITVINENKO 2012-07-27 10:35:19 EDT
Created attachment 600791 [details]
File: smolt_data
Comment 4 Sergei LITVINENKO 2012-07-27 10:35:21 EDT
Created attachment 600792 [details]
File: xsession_errors
Comment 5 Sergei LITVINENKO 2012-07-27 10:35:23 EDT
Created attachment 600793 [details]
File: maps
Comment 6 Sergei LITVINENKO 2012-07-27 10:35:26 EDT
Created attachment 600794 [details]
File: backtrace
Comment 7 Sergei LITVINENKO 2012-08-04 15:50:03 EDT
Created attachment 602272 [details]
fix build and crash issue

F16 do not have <curl/types.h>

Function process_msg_replydata() in src/friends.c do not check size of array after g_strsplit(). If web page have less elements, as expected, app crash.
Comment 8 Fedora End Of Life 2013-01-16 11:53:54 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-02-13 16:01:45 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.